Package org.linphone.core

# Enum Class Call.Dir

java.lang.Object
java.lang.Enum<Call.Dir>
org.linphone.core.Call.Dir

All Implemented Interfaces:
  `Serializable`, `Comparable<Call.Dir>`, `Constable`

Enclosing interface:
  Call

public static enum Call.Dir extends Enum<Call.Dir>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`Incoming`
incoming calls
`Outgoing`
outgoing calls

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final int`
`mValue`

## Method Summary

Modifier and Type
Method
Description
`static Call.Dir`
`fromInt(int value)`
`int`
`toInt()`
`static Call.Dir`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Call.Dir[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### Outgoing

public static final Call.Dir Outgoing
outgoing calls

### Incoming

public static final Call.Dir Incoming
incoming calls

## Field Details

### mValue

protected final int mValue

## Method Details

### values

public static Call.Dir[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Call.Dir valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### fromInt

public static Call.Dir fromInt(int value) throws RuntimeException

Throws:
  `RuntimeException`

### toInt

public int toInt()